ARG TAG
FROM rucio/rucio-clients:release-$TAG
ARG ENV
ARG RUCIO_VERSION

# Switch back to root to add things
USER root


RUN rpm -Uvh https://repo.opensciencegrid.org/osg/23-main/osg-23-main-el9-release-latest.rpm &&\
      dnf update -y && \
      dnf install -y gcc python3-devel osg-ca-certs git && \
      dnf clean all && \
      rm -rf /var/cache/dnf


# IGWN RSE / accounts initialisation
ADD config /config

# FIXME: really just want to install python3-lal but there is no package for EL9
#dnf install -y gcc python3-devel osg-ca-certs python36-lal git && \ # Check python3-lal equivalent

# Paramiko required for ssh-auth, lalsuite to get lal python bindings (see above)
RUN python3 -m pip install --no-cache-dir paramiko lalsuite

# GravCat: Gravitational wave data catalog registration utility and lfn2pfn plugin
RUN if [ "$ENV" = "production" ] ; then \
      python3 -m pip install --no-cache-dir GravCat gravcat-policy; \
      else \
      python3 -m pip install --no-cache-dir "git+https://git.ligo.org/computing/rucio/GravCat.git" "git+https://git.ligo.org/computing/rucio/gravcat-policy.git@ligo-schema";\
      fi

# Support for Virgo VOMS
ADD virgo* /etc/vomses/

# Switch back to original rucio-clients user
USER user

# SSH agent support
ADD ssh-wrapper.sh /

